<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
	Simulation file for SimRoot version 2011
	Author: Jouke Postma. J.postma@fz-juelich.de
	Data: copied from Barley, adjusted for barley using data from Marc Faget <m.faget@fz-juelich.de>
		
-->

<!--SIMULATION MODEL-->
<SimulationModel
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:noNamespaceSchemaLocation="../scripts/XML/SimulaXMLSchema.xsd">
	<SimulaBase name="atmosphere">
	</SimulaBase>
	<SimulaBase name="soil">
	</SimulaBase>
	<SimulaBase name="plants" NUobjectGenerator="fieldPlanting">
		<SimulaBase
			name="riceDJ123"
			objectGenerator="seedling">
			<SimulaConstant
				name="plantType"
				type="string">
				<!-- DJ123 or RiceIR64-->
				DJ123
			</SimulaConstant>
			<SimulaConstant
				name="plantingTime"
				unit="day"
				type="Time"> 0 
			</SimulaConstant>
			<SimulaConstant
				name="plantPosition"
				type="coordinate"> 0 -1 0 
			</SimulaConstant>
		</SimulaBase>
	</SimulaBase>
	<!--SimulaIncludeFile fileName="plantParameters/Rice/DJ123/simulationControlParameters.xml" /-->
	<SimulaIncludeFile fileName="plantParameters/Rice/DJ123/simulationControlParameters.xml" />
	<!--SimulaIncludeFile
		fileName="environments/pots/pot.xml" /-->
	<!-- SimulaIncludeFile fileName="environments/Rice/RiceEnvironmentIshan.xml"/-->
	<SimulaIncludeFile fileName="environments/Rice/UplandRiceUnderSoil.xml"/>
	<!--SimulaIncludeFile fileName="plantParameters/Rice/IR64_Ishan/riceTemplates.xml" /-->
	<SimulaDirective path="/environment/plantingScheme">
		<SimulaConstant
			name="plantType"
			type="string"
			replacesPreviousDeclaration="true"> DJ123
		</SimulaConstant>
	</SimulaDirective>
	
	<SimulaIncludeFile fileName="templates/plantTemplateFullModel.xml" />
	<SimulaIncludeFile fileName="templates/plantTemplate.IncludeGeometry.xml" />
	<SimulaIncludeFile fileName="templates/plantTemplate.IncludeGeometryMajorAxis.xml" />
	<SimulaIncludeFile fileName="templates/plantTemplate.IncludeDryweight.xml" />
	<SimulaIncludeFile fileName="templates/plantTemplate.IncludeTillers.xml" />

	<SimulaIncludeFile fileName="templates/plantTemplate.IncludePhosphorusBC.xml" /> 
	<SimulaIncludeFile fileName="templates/plantTemplate.IncludePhosphorusMajorAxis.xml" />

	<!--SimulaDirective path="/plantTemplate">
		<SimulaBase name="phosphorus" >

			<SimulaTable name="nutrientStressFactor" name_column1="time" unit="100%" unit_column1="day" garbageCollectionOff="true" >
			0 1. 
			10 1.
			13 0.133 
			18 0.133
			24 0.5
			1000. 0.5 
			</SimulaTable>
		</SimulaBase>
	</SimulaDirective-->
	<SimulaDirective path="/plantTemplate/phosphorus">

			<SimulaTable name="nutrientStressFactor" name_column1="time" unit="100%" unit_column1="day" garbageCollectionOff="true" >
			0 1. 
			10 1.
			13 0.133 
			18 0.133
			24 0.5
			1000. 0.5 
			</SimulaTable>

	</SimulaDirective>

	<SimulaDirective path="/hypocotylTemplate/growthpoint/">

		
		<SimulaDerivative
				name="branchingDelayMultiplier"
				function="usePath">
				<SimulaConstant
					name="path"
					type="string"
					> ../../../stressFactor:impactOn:nodalRootBranchingDelay
				</SimulaConstant>

                  </SimulaDerivative>
	</SimulaDirective>


	<!-- SimulaIncludeFile fileName="templates/environmentTemplate.IncludeEvapotranspiration.xml" /-->
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludePotassium.xml" /-->
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludePhosphorusDepletionZones.xml"/-->
	<!--Simula0,02IncludeFile fileName="templates/plantTemplate.IncludePhosphorusSWMS3D.xml" /-->
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludeNitrateBarberCushman.xml"/-->
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludeWaterModule.xml"/-->
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludeNitrate.xml"/-->
	<!--SimulaIncludeFile fileName="templates/plantTemplate.IncludeDrought.xml"/-->
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludeDrought2.xml"/-->
	<!--SimulaIncludeFile fileName="templates/plantTemplate.IncludePotassiumSWMS3D.xml" /-->
	<!--SimulaIncludeFile fileName="templates/plantTemplate.IncludePotassiumDepletionZones.xml" /-->

	
	<SimulaIncludeFile fileName="templates/configurationCarbonNoSecondaryGrowth.xml" />
	<SimulaIncludeFile fileName="templates/plantTemplate.IncludeRootHairs.xml" />
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludeAerenchyma.xml"/-->
	<SimulaIncludeFile fileName="templates/plantTemplate.IncludeStress.xml"/>
	<!-- SimulaIncludeFile fileName="templates/plantTemplate.IncludeRootLengthProfile.xml"/-->
	<SimulaBase name="rootTypeParameters">
		<SimulaIncludeFile fileName="plantParameters/Rice/DJ123/rice_wo_fineroots.xml" />
		<!--SimulaIncludeFile fileName="plantParameters/Rice/IR64_Ishan/rice.xml" /-->
	</SimulaBase>
	
	<!--  SimulaIncludeFile fileName="plantParameters/Barley/variationMultipliers.xml"/-->
</SimulationModel>
